Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.alteration
Class ColumnDataTypeChange

    java.lang.Object
      org.apache.ddlutils.alteration.TableChangeImplBase
          org.apache.ddlutils.alteration.ColumnDataTypeChange

All Implemented Interfaces:
  ColumnChange, ModelChange, TableChange

    public class ColumnDataTypeChange

extends TableChangeImplBase
implements ColumnChange

Represents the change of the data type of a column.

Version:
  $Revision: $

Constructor Summary
`ColumnDataTypeChange(Table table, Column column, int newTypeCode)` Creates a new change object.

Method Summary
`void` | `apply(Database database, boolean caseSensitive)` Applies this change to the given database.
`Column` | `getChangedColumn()` Returns the column.
`int` | `getNewTypeCode()` Returns the JDBC type code of the new type.

Methods inherited from class org.apache.ddlutils.alteration.TableChangeImplBase
`getChangedTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.ddlutils.alteration.TableChange
`getChangedTable`

Constructor Detail

### ColumnDataTypeChange

    public ColumnDataTypeChange(Table table,
                                Column column,
                                int newTypeCode)

  Creates a new change object.

  Parameters:
    `table` - The table of the column
    `column` - The column
    `newTypeCode` - The JDBC type code of the new type

Method Detail

### getChangedColumn

    public Column getChangedColumn()

  Returns the column.

  Specified by:
    `getChangedColumn` in interface `ColumnChange`
  Returns:
    The column

### getNewTypeCode

    public int getNewTypeCode()

  Returns the JDBC type code of the new type.

  Returns:
    The type code

### apply

    public void apply(Database database,
                      boolean caseSensitive)

  Applies this change to the given database.

  Specified by:
    `apply` in interface `ModelChange`
  Parameters:
    `database` - The database
    `caseSensitive` - Whether the case of names matters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.